## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLAggregateSortSpecificationImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLAggregateSortSpecificationImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLAggregateSortSpecification

    public class XMLAggregateSortSpecificationImpl

extends SQLQueryObjectImpl
implements XMLAggregateSortSpecification

An implementation of the model object 'XML Aggregate Sort Specification'.

The following features are implemented:

- `Aggregate Function`
- `Order By Spec`

Method Summary
`NotificationChain` `basicSetAggregateFunction(XMLAggregateFunction newAggregateFunction, NotificationChain msgs)`
`NotificationChain` `basicSetOrderBySpec(OrderBySpecification newOrderBySpec, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLAggregateFunction` `getAggregateFunction()`
`OrderBySpecification` `getOrderBySpec()`
`void` `setAggregateFunction(XMLAggregateFunction newAggregateFunction)`
`void` `setOrderBySpec(OrderBySpecification newOrderBySpec)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getAggregateFunction

    public XMLAggregateFunction getAggregateFunction()

  Specified by:
    `getAggregateFunction` in interface `XMLAggregateSortSpecification`
  Returns:
    the value of the 'Aggregate Function' container reference.
  See Also:
    `XMLAggregateSortSpecification.setAggregateFunction(XMLAggregateFunction)`, `SQLXMLQueryModelPackage.getXMLAggregateSortSpecification_AggregateFunction()`, `XMLAggregateFunction.getSortSpecList()`

### basicSetAggregateFunction

    public NotificationChain basicSetAggregateFunction(XMLAggregateFunction newAggregateFunction,
                                                       NotificationChain msgs)

### setAggregateFunction

    public void setAggregateFunction(XMLAggregateFunction newAggregateFunction)

  Specified by:
    `setAggregateFunction` in interface `XMLAggregateSortSpecification`
  Parameters:
    `newAggregateFunction` - the new value of the 'Aggregate Function' container reference.
  See Also:
    `XMLAggregateSortSpecification.getAggregateFunction()`

### getOrderBySpec

    public OrderBySpecification getOrderBySpec()

  Specified by:
    `getOrderBySpec` in interface `XMLAggregateSortSpecification`
  Returns:
    the value of the 'Order By Spec' containment reference.
  See Also:
    `XMLAggregateSortSpecification.setOrderBySpec(OrderBySpecification)`, `SQLXMLQueryModelPackage.getXMLAggregateSortSpecification_OrderBySpec()`

### basicSetOrderBySpec

    public NotificationChain basicSetOrderBySpec(OrderBySpecification newOrderBySpec,
                                                 NotificationChain msgs)

### setOrderBySpec

    public void setOrderBySpec(OrderBySpecification newOrderBySpec)

  Specified by:
    `setOrderBySpec` in interface `XMLAggregateSortSpecification`
  Parameters:
    `newOrderBySpec` - the new value of the 'Order By Spec' containment reference.
  See Also:
    `XMLAggregateSortSpecification.getOrderBySpec()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.